"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ZoneMode = exports.CommandType = exports.GateState = exports.HeaterMode4S = exports.CommandStatus = void 0;
var CommandStatus;
(function (CommandStatus) {
    CommandStatus["Queued"] = "queued";
    CommandStatus["Delivered"] = "delivered";
    CommandStatus["Completed"] = "completed";
})(CommandStatus = exports.CommandStatus || (exports.CommandStatus = {}));
var HeaterMode4S;
(function (HeaterMode4S) {
    HeaterMode4S["On"] = "heat";
    HeaterMode4S["Off"] = "maintenance";
})(HeaterMode4S = exports.HeaterMode4S || (exports.HeaterMode4S = {}));
var GateState;
(function (GateState) {
    GateState[GateState["Inside3S"] = 0] = "Inside3S";
    GateState[GateState["Outside3S"] = 2] = "Outside3S";
    GateState[GateState["Inside4S"] = 1] = "Inside4S";
    GateState[GateState["Outside4S"] = 0] = "Outside4S";
})(GateState = exports.GateState || (exports.GateState = {}));
var CommandType;
(function (CommandType) {
    CommandType["Device"] = "device";
    CommandType["Zone"] = "zone";
})(CommandType = exports.CommandType || (exports.CommandType = {}));
var ZoneMode;
(function (ZoneMode) {
    ZoneMode["Auto"] = "auto";
    ZoneMode["Manual"] = "manual";
})(ZoneMode = exports.ZoneMode || (exports.ZoneMode = {}));
//# sourceMappingURL=command.js.map